import 'package:json_annotation/json_annotation.dart';

import '../../../api_params.dart';

part 'delete_react_message_params.g.dart';

@JsonSerializable()
class DeleteReactMessageParams extends ApiParams {
  String reaction;

  DeleteReactMessageParams(this.reaction);

  factory DeleteReactMessageParams.fromJson(Map<String, dynamic> json) =>
      _$DeleteReactMessageParamsFromJson(json);
  Map<String, dynamic> toJson() => _$DeleteReactMessageParamsToJson(this);
}
